import '.env.js'
import App from './App'
//引入前置路由颜值
import {
	router,
	RouterMount
} from './common/router/router.js' //路径换成自己的
Vue.use(router)
// #ifndef VUE3
import Vue from 'vue'
import store from './store'
import Nav from './components/en-nav/en-nav.vue'

Vue.component('Nav', Nav)
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App,
	store
})
// app.$mount()

// #ifdef H5
RouterMount(app, router, '#app')
// #endif

// #ifndef H5
app.$mount(); //为了兼容小程序及app端必须这样写才有效果
// #endif

// #endif


// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app,
	}
}
// #endif
